Index: stable/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,11 +21,10 @@
 
 using System;
-using System.Linq;
 using System.Collections;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("6D8354FC-521A-4D6B-A544-2C9892D0A36C")]
   [Serializable]
   public class BidirectionalDictionary<TFirst, TSecond> : IEnumerable<KeyValuePair<TFirst, TSecond>> {
@@ -36,5 +35,5 @@
 
     [StorableConstructor]
-    protected BidirectionalDictionary(bool deserializing) : base() { }
+    protected BidirectionalDictionary(StorableConstructorFlag _) : base() { }
     public BidirectionalDictionary() {
       firstToSecond = new Dictionary<TFirst, TSecond>();
Index: stable/HeuristicLab.Collections/3.3/BidirectionalLookup.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,8 +23,8 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("30981E2A-09AD-49F4-964B-4C20B210116C")]
   [Serializable]
   public class BidirectionalLookup<TFirst, TSecond> {
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected BidirectionalLookup(bool deserializing) : base() { }
+    protected BidirectionalLookup(StorableConstructorFlag _) : base() { }
     public BidirectionalLookup() {
       firstToSecond = new Dictionary<TFirst, HashSet<TSecond>>();
@@ -189,5 +189,5 @@
     #endregion
 
-    [StorableClass]
+    [StorableType("AF0C6143-9031-43CF-8952-49FE8089ACD2")]
     private class StorableGrouping<TKey, TValue> : IGrouping<TKey, TValue> {
 
@@ -197,4 +197,7 @@
       private readonly HashSet<TValue> values;
 
+      [StorableConstructor]
+      protected StorableGrouping(StorableConstructorFlag _) : base() { }
+
       public StorableGrouping(TKey key, IEnumerable<TValue> values, IEqualityComparer<TValue> comparer) {
         this.key = key;
Index: stable/HeuristicLab.Collections/3.3/CollectionItemsChangedEventArgs.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/CollectionItemsChangedEventArgs.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/CollectionItemsChangedEventArgs.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/CollectionItemsChangedEventHandler.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/CollectionItemsChangedEventHandler.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/CollectionItemsChangedEventHandler.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj
===================================================================
--- stable/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj	(revision 17097)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Collections</RootNamespace>
     <AssemblyName>HeuristicLab.Collections-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -105,8 +105,18 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
@@ -119,4 +129,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="BidirectionalDictionary.cs" />
Index: stable/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/INotifyObservableDictionaryItemsChanged.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/INotifyObservableDictionaryItemsChanged.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/INotifyObservableDictionaryItemsChanged.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/INotifyObservableKeyedCollectionItemsChanged.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/INotifyObservableKeyedCollectionItemsChanged.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/INotifyObservableKeyedCollectionItemsChanged.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/IObservableArray.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
+  [StorableType("ebdc610c-2f22-42c7-a72e-8a4ec682712f")]
   public interface IObservableArray<T> : IList<T>, INotifyObservableArrayItemsChanged<T>, INotifyPropertyChanged {
     int Length { get; }
Index: stable/HeuristicLab.Collections/3.3/IObservableCollection.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
+  [StorableType("289d81e9-a167-416c-aaa8-c40aa1ea96f9")]
   public interface IObservableCollection<T> : ICollection<T>, INotifyObservableCollectionItemsChanged<T>, INotifyPropertyChanged { }
 }
Index: stable/HeuristicLab.Collections/3.3/IObservableDictionary.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IObservableDictionary.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IObservableDictionary.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
+  [StorableType("70d9ec0d-7a88-424a-9f59-6cc659f57369")]
   public interface IObservableDictionary<TKey, TValue> : IDictionary<TKey, TValue>, IObservableCollection<KeyValuePair<TKey, TValue>>, INotifyObservableDictionaryItemsChanged<TKey, TValue> { }
 }
Index: stable/HeuristicLab.Collections/3.3/IObservableKeyedCollection.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IObservableKeyedCollection.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IObservableKeyedCollection.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,5 +20,7 @@
 #endregion
 
+using HEAL.Attic;
 namespace HeuristicLab.Collections {
+  [StorableType("5be307b0-41d7-4d8d-a289-fba09fce33f4")]
   public interface IObservableKeyedCollection<TKey, TItem> : IObservableCollection<TItem>, INotifyObservableKeyedCollectionItemsChanged<TKey, TItem> {
     TItem this[TKey key] { get; }
Index: stable/HeuristicLab.Collections/3.3/IObservableKeyedList.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IObservableKeyedList.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IObservableKeyedList.cs	(revision 17097)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,8 @@
 #endregion
 
+using HEAL.Attic;
+
 namespace HeuristicLab.Collections {
+  [StorableType("b26c93c5-eb74-41a9-982d-985df4a1eb77")]
   public interface IObservableKeyedList<TKey, TItem> : IObservableKeyedCollection<TKey, TItem>, IObservableList<TItem> {
   }
Index: stable/HeuristicLab.Collections/3.3/IObservableList.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IObservableList.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IObservableList.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
+  [StorableType("00be7255-b5c6-4b5d-82d3-6ed258d6a0c9")]
   public interface IObservableList<T> : IList<T>, IObservableCollection<T>, INotifyObservableListItemsChanged<T> {
     void Reverse();
Index: stable/HeuristicLab.Collections/3.3/IObservableSet.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IObservableSet.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IObservableSet.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
+  [StorableType("2c42f57a-3bdb-45b9-a548-d4cb9cc71250")]
   public interface IObservableSet<T> : IObservableCollection<T> {
     bool IsProperSubsetOf(IEnumerable<T> other);
Index: stable/HeuristicLab.Collections/3.3/IndexedItem.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/IndexedItem.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/IndexedItem.cs	(revision 17097)
@@ -1,5 +1,6 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Collections {
+  [StorableType(StorableMemberSelection.AllFields, "0a9d0728-5fdc-4e16-b02b-545dbdf0b0fa")]
   public struct IndexedItem<T> {
     private readonly int index;
Index: stable/HeuristicLab.Collections/3.3/ObservableArray.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using System.ComponentModel;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("8F8986E7-943C-4CD7-9710-F13F13B48097")]
   [Serializable]
   public class ObservableArray<T> : IObservableArray<T> {
@@ -75,5 +75,5 @@
     }
     [StorableConstructor]
-    protected ObservableArray(bool deserializing) { }
+    protected ObservableArray(StorableConstructorFlag _) { }
     #endregion
 
Index: stable/HeuristicLab.Collections/3.3/ObservableCollection.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,5 +20,5 @@
 #endregion
 
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using System;
 using System.Collections;
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("98A1FFF8-88D8-4A1A-BDAA-BDC3F4663C1F")]
   [Serializable]
   public class ObservableCollection<T> : IObservableCollection<T> {
@@ -63,5 +63,5 @@
     }
     [StorableConstructor]
-    protected ObservableCollection(bool deserializing) { }
+    protected ObservableCollection(StorableConstructorFlag _) { }
     #endregion
 
Index: stable/HeuristicLab.Collections/3.3/ObservableDictionary.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,8 +25,8 @@
 using System.ComponentModel;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("EFAF5129-39F0-4477-834E-E22B85D63BCF")]
   [Serializable]
   public class ObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
@@ -88,5 +88,5 @@
     }
     [StorableConstructor]
-    protected ObservableDictionary(bool deserializing) { }
+    protected ObservableDictionary(StorableConstructorFlag _) { }
     #endregion
 
Index: stable/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,8 +25,8 @@
 using System.ComponentModel;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("4FF5E444-9E4A-4590-AF60-2377BC91D389")]
   [Serializable]
   public abstract class ObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
@@ -78,5 +78,5 @@
     }
     [StorableConstructor]
-    protected ObservableKeyedCollection(bool deserializing) { }
+    protected ObservableKeyedCollection(StorableConstructorFlag _) { }
     #endregion
 
Index: stable/HeuristicLab.Collections/3.3/ObservableKeyedList.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 17097)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass]
+  [StorableType("47F1D1D1-DF32-4C23-8D4F-0B36A6E42AF7")]
   public abstract class ObservableKeyedList<TKey, TItem> : ObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
 
@@ -64,5 +64,5 @@
     }
     [StorableConstructor]
-    protected ObservableKeyedList(bool deserializing) : base(deserializing) { }
+    protected ObservableKeyedList(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.Collections/3.3/ObservableList.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,6 +20,6 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using System;
 using System.Collections;
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("EBD47A4A-848B-487C-B996-2CA2A509A488")]
   [Serializable]
   public class ObservableList<T> : IObservableList<T> {
@@ -78,5 +78,5 @@
     }
     [StorableConstructor]
-    protected ObservableList(bool deserializing) { }
+    protected ObservableList(StorableConstructorFlag _) { }
     #endregion
 
Index: stable/HeuristicLab.Collections/3.3/ObservableSet.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,8 +25,8 @@
 using System.ComponentModel;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("44FF4DAE-F308-4B3B-8475-0B0327619657")]
   [Serializable]
   public class ObservableSet<T> : IObservableSet<T> {
@@ -60,5 +60,5 @@
     }
     [StorableConstructor]
-    protected ObservableSet(bool deserializing) { }
+    protected ObservableSet(StorableConstructorFlag _) { }
     #endregion
 
Index: stable/HeuristicLab.Collections/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Collections/3.3/Plugin.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/Plugin.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- stable/HeuristicLab.Collections/3.3/Properties/AssemblyInfo.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/Properties/AssemblyInfo.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("DBE0FFE7-BCAD-49C2-9A55-5360EBE0FD86")]
   [Serializable]
   public class ReadOnlyObservableArray<T> : IObservableArray<T> {
@@ -61,5 +61,5 @@
     }
     [StorableConstructor]
-    protected ReadOnlyObservableArray(bool deserializing) { }
+    protected ReadOnlyObservableArray(StorableConstructorFlag _) { }
 
     [StorableHook(HookType.AfterDeserialization)]
Index: stable/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("ADC26E6D-9F2A-40AA-A959-224DA6A90638")]
   [Serializable]
   public class ReadOnlyObservableCollection<T> : IObservableCollection<T> {
@@ -50,5 +50,5 @@
     }
     [StorableConstructor]
-    protected ReadOnlyObservableCollection(bool deserializing) { }
+    protected ReadOnlyObservableCollection(StorableConstructorFlag _) { }
 
     [StorableHook(HookType.AfterDeserialization)]
Index: stable/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("BEF4B633-F0AE-4843-B9CD-1F80986A596F")]
   [Serializable]
   public class ReadOnlyObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
@@ -64,5 +64,5 @@
     }
     [StorableConstructor]
-    protected ReadOnlyObservableDictionary(bool deserializing) { }
+    protected ReadOnlyObservableDictionary(StorableConstructorFlag _) { }
 
     [StorableHook(HookType.AfterDeserialization)]
Index: stable/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("A52968F9-DA56-4DCB-AE1A-4EF22E9415B9")]
   [Serializable]
   public class ReadOnlyObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
@@ -56,5 +56,5 @@
     }
     [StorableConstructor]
-    protected ReadOnlyObservableKeyedCollection(bool deserializing) { }
+    protected ReadOnlyObservableKeyedCollection(StorableConstructorFlag _) { }
 
     [StorableHook(HookType.AfterDeserialization)]
Index: stable/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,8 +22,8 @@
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("58D6326E-BD52-4B5D-8915-89948CEB50AA")]
   [Serializable]
   public class ReadOnlyObservableKeyedList<TKey, TItem> : ReadOnlyObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
@@ -47,5 +47,5 @@
     }
     [StorableConstructor]
-    protected ReadOnlyObservableKeyedList(bool deserializing) { }
+    protected ReadOnlyObservableKeyedList(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: stable/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("110A111A-66A3-4200-B7C8-AD237343D1AF")]
   [Serializable]
   public class ReadOnlyObservableList<T> : IObservableList<T> {
@@ -58,5 +58,5 @@
     }
     [StorableConstructor]
-    protected ReadOnlyObservableList(bool deserializing) { }
+    protected ReadOnlyObservableList(StorableConstructorFlag _) { }
 
     [StorableHook(HookType.AfterDeserialization)]
Index: stable/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs
===================================================================
--- stable/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 15587)
+++ stable/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("CB2FD087-C3B7-499D-9188-AF5B0D4FFEDB")]
   [Serializable]
   public class ReadOnlyObservableSet<T> : IObservableSet<T> {
@@ -50,5 +50,5 @@
     }
     [StorableConstructor]
-    protected ReadOnlyObservableSet(bool deserializing) { }
+    protected ReadOnlyObservableSet(StorableConstructorFlag _) { }
 
     [StorableHook(HookType.AfterDeserialization)]
Index: stable/HeuristicLab.Collections/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Collections/3.3/packages.config	(revision 17097)
+++ stable/HeuristicLab.Collections/3.3/packages.config	(revision 17097)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
